#!/bin/bash
#This script creates the stats files for each BAM, which will be needed to make a CSV which will be used to calculate expression
#this is required because you need to normalize expression to library size
#this only contains the files I didn't download yet
#accNumbers="ENCFF369MRD ENCFF463ZNL ENCFF691HXU ENCFF588SFC ENCFF535JQR"
#update this list to contain whatever accession numbers you're interested in
#at this moment in consists of files which I had downloaded when I ran the script
accNumbers="ENCFF535PXY ENCFF325NGX ENCFF267SGE ENCFF264MYU ENCFF926ARX ENCFF687AOD ENCFF256ITW"
#wherever the BAM files are kept
bamdir="/media/matthew/back/a0044data/"
cd ../data
for name in $accNumbers;
do
    samtools stats ${bamdir}${name}.bam >$name.stats
done
